#pragma once

namespace VUtils {
    struct Math {
        static double clamp (double value, double min, double max);
        static double lerp(double a, double b, double f);
        static double bezierBlend(double t);
        static double easeIn(double ratio);
        static double map(double x, double in_min, double in_max, double out_min, double out_max);
        static double cubicInterpolate (double y0, double y1, double y2, double y3, double factor);
    };
}