#pragma once

#include <cstdint>

typedef struct rgba_type {
  int16_t r = 0;
  int16_t g = 0;
  int16_t b = 0;
  int16_t a = 0;
} rgba;

typedef struct {
  double r; // a fraction between 0 and 1
  double g; // a fraction between 0 and 1
  double b; // a fraction between 0 and 1
} rgb;

typedef struct {
  double h; // angle in degrees
  double s; // a fraction between 0 and 1
  double v; // a fraction between 0 and 1
} hsv;
