#pragma once

#include <VulcanoLE/Audio/AudioGrabber.h>
#include <VulcanoLE/Keyboards/Vulcan121.h>
#include <VulcanoLE/Visual/VIZ.h>
#include <vector>
#include "VUtils/Random.h"

namespace VIZ {
    class TheUnknown : public VIZ {
    protected:
        VUtils::Random m_random{};
        led_map map{};
    public:
        TheUnknown(AudioGrabber *pGrabber, Vulcan121 *vulcan);
        void onSetup() override;
        void onTick(float delta) override;
        const char *name() override;

        double m_keyOffset[NUM_KEYS]{};
        double m_keyHeightMap[NUM_KEYS]{};
        double m_angle = 0.0001;
    };
}