#pragma once

#include <VulcanoLE/Visual/VIZ.h>
#include <VulcanoLE/Audio/AudioGrabber.h>
#include <queue>

namespace VIZ {
    struct BassHistory : public VIZ {
        BassHistory(AudioGrabber *pGrabber, Vulcan121 *pVulcan121);
        ~BassHistory() override = default;
        void onSetup() override;
        void onTick(float delta) override;
        const char *name() override;
        std::string m_name = "Bass History";
        led_map map{};
        std::vector<double> m_history;
        void pushNew(double val);
    };
}

