#pragma once

#include <VulcanoLE/Audio/AudioGrabber.h>
#include <VulcanoLE/Keyboards/Vulcan121.h>
#include <VulcanoLE/Visual/VIZ.h>
#include <vector>
#include "VUtils/Random.h"

namespace VIZ {
    class Random : public VIZ {
    protected:
        led_map map{};
        VUtils::Random m_random;
        double m_angle{0.0};
    public:
        Random(AudioGrabber *pGrabber, Vulcan121 *vulcan);
        void onSetup() override;
        void onTick(float delta) override;
        const char *name() override;
    };
}