#pragma once

#include <VulcanoLE/Visual/VIZ.h>
#include <VulcanoLE/Audio/AudioGrabber.h>
#include <vector>

namespace VIZ {
    struct Spectral : public VIZ {
        Spectral(AudioGrabber *pGrabber, Vulcan121 *pVulcan121);
        ~Spectral() override = default;
        void onSetup() override;
        void onTick(float delta) override;
        const char *name() override;
        std::string m_name = "SpectralO";
        led_map map{};
    };
}

