#pragma once

#include <VulcanoLE/Audio/AudioGrabber.h>
#include <VulcanoLE/Visual/VIZ.h>

namespace VIZ {
struct Spectrum : public VIZ {
public:
  static constexpr int maxColors = 3;
  Spectrum(AudioGrabber *pGrabber, Vulcan121 *pVulcan121);
  ~Spectrum() override = default;
  void onSetup() override;
  void onTick(float delta) override;
  const char *name() override;

protected:
  std::string m_name = "Spectrum One";
  double m_angle = 0.0;
};
} // namespace VIZ
