#pragma once

#include <VulcanoLE/Audio/AudioGrabber.h>
#include <VulcanoLE/Visual/VIZ.h>

namespace VIZ {
struct Strobo : public VIZ {
public:
  Strobo(AudioGrabber *pGrabber, Vulcan121 *pVulcan121);
  ~Strobo() override = default;
  void onSetup() override;
  void onTick(float delta) override;
  const char *name() override;

protected:
  std::string m_name = "Strobo";
  double m_sinPoint;
  bool m_isStanding;
  rgba m_color{};
};
} // namespace VIZ
